> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Skip a pending funder match

> Skip a pending match without resolving it. This will mark it as skipped.



## OpenAPI

````yaml https://app.herondata.io/swagger post /api/broker_funder_policies/upload/{job_heron_id}/pending/{index}/skip/
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/broker_funder_policies/upload/{job_heron_id}/pending/{index}/skip/:
    post:
      summary: Skip a pending funder match
      description: Skip a pending match without resolving it. This will mark it as skipped.
      parameters:
        - description: The Heron ID of the upload job
          in: path
          name: job_heron_id
          required: true
          schema:
            type: string
        - description: The index of the pending match to skip
          in: path
          name: index
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PendingMatchSchema'
          description: Pending match skipped successfully
        '400':
          description: Match already resolved or skipped
        '404':
          description: Job or pending match not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PendingMatchSchema:
      additionalProperties: false
      properties:
        candidates:
          items:
            $ref: '#/components/schemas/FunderCandidate'
          readOnly: true
          type: array
        index:
          readOnly: true
          type: integer
        matching_priority:
          nullable: true
          readOnly: true
          type: integer
        policy:
          additionalProperties: {}
          nullable: true
          readOnly: true
          type: object
        resolved_funder_heron_id:
          nullable: true
          readOnly: true
          type: string
        spreadsheet_name:
          readOnly: true
          type: string
        status:
          readOnly: true
          type: string
      type: object
    FunderCandidate:
      additionalProperties: false
      properties:
        funder_heron_id:
          readOnly: true
          type: string
        funder_name:
          readOnly: true
          type: string
        similarity:
          readOnly: true
          type: number
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````